We give two proofs of continuation shuffling.

The first uses paramcoq, https://github.com/parametricity-coq/paramcoq.

The second users paramcoq-iff, https://github.com/aa755/paramcoq-iff, a more recent version with some
advantages, although they aren't particularly important in our setting so far.
This version is also easier to install.

## Setting up opam
The best way to install these is via opam.

First, get opam setup to use with Coq (https://coq.inria.fr/opam/www/using.html):
  opam init -n -j 2
  opam repo add coq-released http://coq.inria.fr/opam/released

Next, add opam to your environment. Best to add this line to .profile, or equivalent.
  eval `opam config env`

## Installing paramcoq
You can install the package via opam, using my fork of the repository:
  opam pin -k git add coq-paramcoq https://github.com/wilbowma/paramcoq

## Installing paramcoq-iff
You can install the packages via opam:
  opam pin -k git add coq-template-coq https://github.com/aa755/template-coq#cast
  opam pin -k git add coq-squiggleeq https://github.com/aa755/SquiggleEq#dev
  opam pin -k git add coq-reflective-paramcoq https://github.com/aa755/paramcoq-iff
